eztrace-contrib (2.1.1-1) unstable; urgency=medium

  * New upstream release (Closes: Bug#1086265)
    - debian/patches/git-self-link: Upstreamed.
    - debian/patches/git-starpu-1.4: Upstreamed.
    - debian/patches/git-starpu-1.4-task_submit: Upstreamed.
    - debian/patches/git-eztrace_avail: Upstreamed.
    - debian/patches/git-starpu-install: Upstreamed.
    - debian/patches/implicit: Upstreamed.
  * debian/rules: Run all testsuites before reporting the failures
    (Closes: Bug#1067468)
  * debian/rules: Add mpi smoketest rules.
  * debian/control: Depend on pkgconf instead of pkg-config.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Nov 2024 02:21:32 +0100

eztrace-contrib (2.1-7) unstable; urgency=medium

  * patches/implicit: Fix build with qa=+bug-implicit-func
    (Closes: Bug#1066332)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Mar 2024 12:39:56 +0100

eztrace-contrib (2.1-6) unstable; urgency=medium

  * Revert adding ompt support on more archs.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Oct 2023 16:14:57 +0200

eztrace-contrib (2.1-5) unstable; urgency=medium

  * Add ompt support on more archs.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Oct 2023 15:32:16 +0200

eztrace-contrib (2.1-4) unstable; urgency=medium

  * tests/control: Drop libpapi-dev dependency, libstarpu-dev already has it
    as appropriate.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 11 Sep 2023 18:34:53 +0200

eztrace-contrib (2.1-3) unstable; urgency=medium

  * tests/control: Fix starpu tests by installing gawk.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Sep 2023 17:35:32 +0200

eztrace-contrib (2.1-2) unstable; urgency=medium

  * control: Build-dep on starpu >= 1.4.1+dfsg-7 to get starpu job start/end
    traced.
  * patches/starpu-job: Drop patch, now that job start/end gets traced.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Aug 2023 12:10:28 +0200

eztrace-contrib (2.1-1) unstable; urgency=medium

  * New upstream release (Closes: #968312)
    - control: Add libnetcdf-dev and libpnetcdf-dev dependencies.
    - patches/git-arm: Upstreamed.
    - patches/git-atomic: Upstreamed.
    - patches/git-eztpomp: Upstreamed.
    - patches/git-eztrace_cc_path: Upstreamed.
    - patches/git-eztrace_cc_x: Upstreamed.
    - patches/git-functions: Upstreamed.
    - patches/git-input: Upstreamed.
    - patches/git-libatomic: Upstreamed.
    - patches/git-manpage: Upstreamed.
    - patches/git-memory-noopt: Upstreamed.
    - patches/git-missing-tests: Upstreamed.
    - patches/git-mpi-init: Upstreamed.
    - patches/git-mpi-init-called: Upstreamed.
    - patches/git-mpi-types: Upstreamed.
    - patches/git-mpi_module_name: Upstreamed.
    - patches/git-no-install-cmake: Upstreamed.
    - patches/git-opari2: Upstreamed.
    - patches/git-openmp-nested-lock: Upstreamed.
    - patches/git-otf2: Upstreamed.
    - patches/git-otf2-3: Upstreamed.
    - patches/git-path_space: Upstreamed.
    - patches/git-pkg-config: Upstreamed.
    - patches/git-pkgconfig: Upstreamed.
    - patches/git-rename: Upstreamed.
    - patches/git-test-conditioned: Upstreamed.
    - patches/git-test-mpi-path: Upstreamed.
    - patches/git-test-openmp: Upstreamed.
    - patches/git-test-openmp2: Upstreamed.
    - patches/git-test-path: Upstreamed.
    - patches/git-test-paths: Upstreamed.
    - patches/git-test-preload-libs: Upstreamed.
    - patches/git-test-programs-path: Upstreamed.
    - patches/git-test-source: Upstreamed.
    - patches/git-test-verbose: Upstreamed.
    - patches/otf2-2.0.3: Upstreamed.
    - patches/starpu-1.3: Upstreamed.
    - patches/norpath: Refreshed.
    - patches/werror: Refreshed.
    - patches/git-starpu-1.4: Fix finding starpu-1.4.
    - patches/git-starpu-1.4-task_submit: Fix building against starpu 1.4.
    - patches/starpu-job: Drop some test for now.
    - patches/git-eztrace_avail: Fix finding eztrace_avail.
    - patches/git-self-link: Fix linking against libeztpomp.
    - patches/git-starpu-install: Actually install StarPU module.
    - libeztrace0.lintian-overrides: Update.
    - rules: Enable STARPU, NETCDF and PNETCDF (where applicable).
    - rules: Set STARPU_HOME to CURDIR.
    - rules: Update blhc ignore patterns.
    - tests/control: Enable compiler_instrumentation and starpu tests.
    - libeztrace0-contrib.install: Install only cuda plugin.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 25 Aug 2023 15:03:30 +0200

eztrace-contrib (2.0+repack-12) unstable; urgency=medium

  * control: Add missing breaks+replaces between libeztrace0 and
    libeztrace-dev, missed when moving /usr/lib/*/*.so from the latter to the
    former (Closes: Bug#1034956)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 27 Apr 2023 16:07:04 +0200

eztrace-contrib (2.0+repack-11) unstable; urgency=medium

  * control: Always depend on otf2, eztrace now always requires it actually.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Dec 2022 16:17:31 +0100

eztrace-contrib (2.0+repack-10) unstable; urgency=medium

  * control: Fix arch exclusion.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Dec 2022 13:25:22 +0100

eztrace-contrib (2.0+repack-9) unstable; urgency=medium

  * patches/otf2-2.0.3: Fix build with otf2 2.0.3.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Dec 2022 13:12:31 +0100

eztrace-contrib (2.0+repack-8) unstable; urgency=medium

  * control: Make Multi-Arch: foreign.
  * control: Drop otf2 support on archs which don't have the atomics required
    by otf2.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Dec 2022 12:59:58 +0100

eztrace-contrib (2.0+repack-7) unstable; urgency=medium

  * rules, tests/control: Pass --oversubscribe to openmpi to avoid failure on
    machines with only one processor.
  * rules: Make openmpi failure fatal again, now that pmix is fixed in
    unstable.
  * rules: Fix installing headers in multiarch path.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 26 Aug 2022 14:11:50 +0200

eztrace-contrib (2.0+repack-6) unstable; urgency=medium

  * control: Only build-dep on clang when we'll build the ompt module.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Aug 2022 14:41:14 +0200

eztrace-contrib (2.0+repack-5) unstable; urgency=medium

  * patches/git-mpi-init-called: MPI: avoid multiple initialization.
  * patches/git-test-openmp2: Fix OpenMP tests build.
  * debian/rules: Can now use dh_auto_test again.
  * debian/rules: Reduce build time by only building&testing the targeted
    modules.
  * debian/rules: Update blhc ignore line.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Aug 2022 14:01:01 +0200

eztrace-contrib (2.0+repack-4) unstable; urgency=medium

  * patches/test-verbose: Use upstream commit.
  * patches/test-programs-path: Fix the path of test programs.
  * patches/test-preload-libs: Use upstream commit.
  * rules: Pass EZTRACE_TEST_OPTION=-p.
  * patches/*: Reflush patches in the upstream order.
  * patches/git-otf2: Include upstream otf2 detection fix.
  * rules: Make mpi fork-safe.
  * patches/git-test-source: Fix running test from source with make test.
  * rules: Print blhc false positive suppressions (Closes: Bug#101804)
  * patches/git-openmp-nested-lock: Fix nested locks.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Aug 2022 09:53:43 +0200

eztrace-contrib (2.0+repack-3) unstable; urgency=medium

  * rules: Actually run tests at package build time.
  * control: Add bw, gawk build-deps.
  * patches/test-preload-libs: Add just-built libeztrace-lib.so to LD_PRELOAD.
  * patches/memory-noopt: Disable optimizations to make sure calloc etc. are
    kept.
  * patches/test-verbose: Show the actual test output.
  * copyright: Fix catching pomp files.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 24 Aug 2022 14:18:42 +0200

eztrace-contrib (2.0+repack-2) unstable; urgency=medium

  * debian/copyright: Fix copyright information for pomp-lib-dummy.
  * libeztrace0.lintian-overrides: Complete overrides.
  * rules: Make tests verbose.
  * tests/control: Explicit list of architectures just like in debian/control.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 24 Aug 2022 12:16:34 +0200

eztrace-contrib (2.0+repack-1) unstable; urgency=medium

  * src/modules/omp/pomp-lib-dummy: Restore eztrace's libpomp.
  * debian/copyright: Don't filter out pomp-lib-dummy.
  * patches/no-libpomp: Drop.
  * debian/libeztrace0.install: Add usr/lib/*/libeztpomp.so.
  * tests/control: Add build-essential, otf2-tools, clang, bc, gawk dependency.
  * tests/control: Make tests output verbose.
  * tests/control: Clean binaries between tests.
  * tests/control: Allow some stderr, skip non-installable ompt and openmpi.
  * tests/control: Enable openmp test.
  * libeztrace0.lintian-overrides: Complete overrides.
  * control: Fix libeztrace0 short description.
  * patches/git-test-mpi-path: Make mpi path configurable.
  * tests/control: Configure mpi paths.
  * patches/git-mpi-init: Fix mpi module name hardcoding.
  * tests/control: Enable mpi tests.
  * patches/git-libatomic: Fix 8-byte atomic use on some archs.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Aug 2022 17:02:45 +0200

eztrace-contrib (2.0-3) unstable; urgency=medium

  * patches/git-opari2: Fix build against opari2.
  * patches/git-arm: Fix build on some arm archs.
  * patches/git-mpi-types: Fix build with some mpi implementations.
  * patches/git-atomic: Try to fix atomic operations on mips.
  * patches/git-test-openmp: Fix openmp test.
  * rules: Enable openmp module.
  * patches/test_utils: replace with upstream's git-test-path.
  * tests/control: Add autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Aug 2022 13:52:13 +0200

eztrace-contrib (2.0-2) unstable; urgency=medium

  * patches/werror: Disable -Werror.
  * debian/control, rules: Enable ompt only on archs which have libomp-dev.
  * debian/control: eztrace: Add missing perl:Depends dependencies.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 Aug 2022 16:07:10 +0200

eztrace-contrib (2.0-1) unstable; urgency=medium

  * New upstream release
    - control: Build-dep on cmake.
    - patches/binutils-2.38.50: Merged.
    - patches/extlib: Drop, now useless.
    - patches/no-rpath: Drop, now useless.
    - patches/ptrace-arm: Drop, now useless.
    - patches/no-libpomp: Update.
    - patches/reproducibility: Update.
    - patches/static-bfd: Update.
    - patches/rename: Fix discovering Debian's otf2.
    - rules: Update to cmake.
    - control: Replace fxt-tools, libgtg-dev, liblitl-dev (>= 0.1.9~),
      litl-tools build-deps with libotf2-trace-dev, otf2-tools.
    - control: Add opari2 build-dep.
    - control: Add clang, libomp-dev build-deps.
    - rules: Add ompt build with clang.
    - patches/otf2-3: Fix build against otf2 3.0.
    - docs, eztrace.install, libeztrace-dev.install, libeztrace0.install:
      Update installed files.
    - patches/test_utils: Workaround path to test_utils.sh
    - patches/norpath: Disable rpath.
    - control: Drop libeztrace-dev dependency on liblitl-dev.
    - patches/pkg-config: Drop spurious compilation flags.
    - patches/mpi_module_name: Fix loading right mpi module during tests.
    - patches/test-ompt: Fix enabling only tests for which a module was built.
    - patches/git-input: Fix path for template files.
    - patches/git-no-install-cmake: Avoid installing cmake files.
    - libeztrace0.lintian-overrides: Ignore missing version in modules.
    - patches/git-pkgconfig: Fix pkg-config file installation path.
    - patches/git-manpage: Install manpages.
    - patches/git-functions: Fix installation of functions.pm
  * watch: Update regexp.
  * gbp.conf, copyright: Replace gbp filter with copyright Files-Excluded.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 Aug 2022 14:25:30 +0200

eztrace-contrib (1.1-11-3) unstable; urgency=medium

  * control: Bump Standards-Version to 4.6.0 (no change)
  * patches/binutils-2.38.50: Fix build against binutils 2.38.50.
    (Closes: Bug#1013517)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 24 Jun 2022 14:08:20 +0200

eztrace-contrib (1.1-11-2) unstable; urgency=medium

  * Upload to unstable

 -- Samuel Thibault <sthibault@debian.org>  Mon, 23 Aug 2021 02:01:46 +0200

eztrace-contrib (1.1-11-1) experimental; urgency=medium

  * New upstream release
    - patches/no-inst-source: Upstreamed.
    - patches/no-inst-source2: Upstreamed.
    - patches/starpu-macro: Upstreamed.
  * rules: Use $(CURDIR) instead of $(PWD).
  * control: Set Rules-Requires-Root to no.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 05 Aug 2021 17:36:34 +0200

eztrace-contrib (1.1-10-2) unstable; urgency=medium

  * control: Update upstream website.
  * copyright: Update upstream website.
  * patches/starpu-macros: Fix build against newer StarPU releases.
  * eztrace.install: Install /usr/share/eztrace (notably for function.pm).
  * patches/reproducibility: Avoid leaking build path.
  * rules: Pass build path through an environment variable.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2021 17:14:15 +0100

eztrace-contrib (1.1-10-1) unstable; urgency=medium

  * control: Fix contrib Vcs URL.
  * New upstream release.
    - patches/non-linux: Upstreamed.
    - patches/binutils-2.34: Upstreamed.
    - patches/python3: Upstreamed.
    - patches/ptrace-arm: Disable for now, tinkered upstream.
    - patches/extlib: Refreshed.
  * patches/no-inst-source: Fix installation of spurious files.
  * patches/no-inst-source2: Really fix installation of spurious files.
  * watch: Update watch URL.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 04 Nov 2020 12:58:32 +0100

eztrace-contrib (1.1-8-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Drop mention of mips.
  * watch: Generalize pattern.
  * upstream/metadata: Add upstream meta information.
  * libeztrace-dev.install: Install libeztrace.a (but not the .a versions of
    plugins).
  * not-installed: Note that we don't install .la files and .a versions of
    plugins. Note that we don't install the example like upstream does: we
    just ship all example/.
  * rules: Rely on pre-initialized dpkg-architecture variables.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.
  * Drop unnecessary dh arguments: --parallel
  * Update standards version to 4.5.0, no changes needed.
  * Remove Section on eztrace that duplicates source.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Nov 2020 02:17:21 +0100

eztrace-contrib (1.1-8-6+contrib) unstable; urgency=medium

  * debian/libeztrace0-contrib.lintian-overrides: Silence warning.
  * watch: Generalize pattern.
  * rules: Rely on pre-initialized dpkg-architecture variables.
  * control: Build-depend on nvidia-cuda-toolkit-gcc to make sure we have a
    compiler that nvcc can work with (Closes: Bug#955795)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 16 May 2020 12:17:51 +0200

eztrace-contrib (1.1-8-6) unstable; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * patches/binutils-2.34: Fix build against binutils 2.34 (Closes: Bug#951883)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Feb 2020 22:29:56 +0100

eztrace-contrib (1.1-8-5+contrib) unstable; urgency=medium

  * rules: Bump g++ version to 7.
  * patches/python3, control: Use python3 (Closes: Bug#936500)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 30 Aug 2019 10:03:55 +0200

eztrace-contrib (1.1-8-5) unstable; urgency=medium

  * control: Make sure we build against starpu-1.3.
  * patches/starpu-1.3: Complete.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Aug 2019 17:31:34 +0200

eztrace-contrib (1.1-8-4) unstable; urgency=medium

  * patches/starpu-1.3: Fix build with starpu-1.3.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Aug 2019 17:16:31 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libeztrace0-contrib`.
